[Alsaplayer-devel]mpeg layer 3 plugin too old?

David Burrows snadge@ugh.net.au
Sun, 10 Feb 2002 16:58:07 +1100 (EST)


Hi all,

Recently I've been hacking away at alsaplayer primarily to add a joystick
control feature (for pitch and cueing).  I have succeeded with this,
however I have found that alsaplayer cannot play some of my mp3s.  On
further investigation they contain new ID3 tags, possibly they are in some
slightly different kind of format.  Playing these mpg3s with mpg123 0.59r
works fine.  I've noticed alsaplayer's mpg123 code is 0.59n and tried to
replace the 0.59n code with 0.59r code without much success as I'm not
sure what modifications have been done to that source to make it work with
alsaplayer.

Phew!  The MAD plugin doesn't work with them either.  Can someone maybe
modifiy the CVS version to have a newer mpg123 engine for me? :D  I'll
swap the joystick code for it.

Thanks for your time,

David Burrows.